/**
Crearea unui arbore "programatic" modelind cu 3 vectori statici

Arborele il vom da in preordine (rsd) punind valori exceptzie (care NU apar in
arbore) in locurile in care subarborele este vid.
Ex: Pentru arborele cu radacina 1, nodul 2 pe stinga shi nodul 3 pe dreapta,
acest arbore va fi dat prin:
1 2 -1 -1 3 -1 -1
(2 e frunza. Nu are subarbore sting - deci in locul acestuia punem un -1, nu are nici
 subarbore drept - in locul acesuia punem tot valoarea -1)

Arborele pe care am lucrat in exemplu va fi dat astfel:
7 2 -1 3 6 2 -1 -1 5 -1 -1 -1 9 1 -1 4 -1 -1 -1

In cazul nostru consideram ca -1 este valoare exceptzie.
*/
#include <iostream>
#include <fstream>
using namespace std;

int inf[100],st[100],dr[100],n=0,v;
//pentru a shti pe ce pozitzie vom memora noile noduri care apar in structura,
//mentzinem un indice "n" pentru ultimul indice la care am memorat deja un nod
//in cei 3 vectori

ifstream fin("arb.in");

void creare(int &k)
{
    fin>>v;
    if(v==-1)
            k=-1;
    else
    {
        ++n;
        k=n;
        inf[k]=v;
        creare(st[k]);
        creare(dr[k]);
    }
}

void rsd(int k)
{
    if(k>=0)
    {
        cout<<inf[k]<<" ";
        rsd(st[k]);
        rsd(dr[k]);
    }
}

void srd(int k)
{
    if(k>=0)
    {
        srd(st[k]);
        cout<<inf[k]<<" ";
        srd(dr[k]);
    }
}

void sdr(int k)
{
    if(k>=0)
    {
        sdr(st[k]);
        sdr(dr[k]);
        cout<<inf[k]<<" ";
    }
}

int main()
{
    int r;
    creare(r);
    rsd(r);cout<<"\n";
    srd(r);cout<<"\n";
    sdr(r);cout<<"\n";
    return 0;
}
