/**
Ciobanu Paul Gavril
School: National College Andrei Saguna
Contest #2 Senior 3
Input file: lisp.in
Output is on the screen
*/
#include <iostream>
#include <cstring>
#include <fstream>
#include <cstdlib>
using namespace std;

char init[200];

struct command
{
    char type[100];
    int arg[100];
    int nr_arg;
} m[100];

void afis_sub(int i)
{
    cout<<" ("<<m[i].type;
    for(int j=0; j<m[i].nr_arg; j++)
        cout<<" "<<m[i].arg[j];
    cout<<")";
}

void afis_max(int k)
{
    int pos,maxim=0;
    for(int i=1; i<=k; i++)
        if(m[i].nr_arg>maxim)
        {
            maxim=m[i].nr_arg;
            pos=i;
        }
    cout<<"("<<m[pos].type;
    for(int j=0; j<m[pos].nr_arg; j++)
        cout<<" "<<m[pos].arg[j];
    cout<<")";
}

void afis_sort(int arg1,int arg2)
{
    command mat_sort[100];
    for(int i=arg1; i<=arg2; i++)
        mat_sort[i-arg1]=m[i];


    for(int i=0; i<arg2-arg1; i++)
        for(int j=i+1; j<=arg2-arg1; j++)
            if(strcmp(mat_sort[i].type,mat_sort[j].type)>0)
                swap(mat_sort[i],mat_sort[j]);


    for(int i=0; i<=arg2-arg1; i++)
    {
        cout<<" ("<<mat_sort[i].type;
        for(int j=0; j<mat_sort[i].nr_arg; j++)
            cout<<" "<<mat_sort[i].arg[j];
        cout<<")";
    }
}

int main()
{
    ifstream fin("LISP.in");
    fin.getline(init,200);
    int k=0,lit=0,nr=0;
    for(int i=1; i<strlen(init)-1; i++)
    {
        if(isalpha(init[i]))
        {
            m[k].type[lit++]=init[i];
        }
        else if(isdigit(init[i])||init[i]=='-')
        {
            m[k].arg[nr++]=atoi(init+i);
            while(isdigit(init[++i]));
        }
        if(init[i]=='(')
        {
            m[k].nr_arg=nr;
            nr=0;
            lit=0;
            k++;
        }
    }
    m[k].nr_arg=nr;
    nr=0;
    lit=0;
    for(int c=1; c<=5; c++)
    {
        char test[100];
        int arg1,arg2;
        fin>>test;
        if(strcmp(test,"COUNT")==0)
            cout<<k<<endl;

        else if(strcmp(test,"REMOVE")==0)
        {
            fin>>arg1>>arg2;
            cout<<"("<<m[0].type;
            for(int i=1; i<=k; i++)
                if(i<arg1||i>arg2)
                    afis_sub(i);
            cout<<")\n";
        }
        else if(strcmp(test,"SORT")==0)
        {
            fin>>arg1>>arg2;
            cout<<"("<<m[0].type;
            for(int i=1; i<arg1; i++)
                afis_sub(i);
            afis_sort(arg1,arg2);
            for(int i=arg2+1; i<=k; i++)
                afis_sub(i);
            cout<<")\n";
        }
        else if(strcmp(test,"REVERSE")==0)
        {
            fin>>arg1>>arg2;
            cout<<"("<<m[0].type;
            for(int i=1; i<arg1; i++)
                afis_sub(i);
            for(int i=arg2; i>=arg1; i--)
                afis_sub(i);
            for(int i=arg2+1; i<=k; i++)
                afis_sub(i);
            cout<<")\n";
        }
        else if(strcmp(test,"MAXIMUM")==0)
        afis_max(k);

    }
    return 0;
}
