/**
First, LAST Name: Fratila FLORIN OVIDIU
School: National College Andrei Saguna
Contest #2 Senior 3
Input file: lisp.in
Output is on the screen
*/
#include <iostream>
#include <cstring>
#include <cstdio>

using namespace std;

int sln;
char str[200],liststart[200],op[200];
char sublist[200][200],sortsub[200][200];

void procesare()
{
    int in=0,x=-1;
    for(int i=0;str[i]!=' ';++i)
    {
        liststart[++x]=str[i];
    }
    liststart[++x]=0;
    for(int i=1;str[i];++i)
    {
        if(str[i]=='(')
        {
            in=1;
            ++sln;
            x=-1;
        }
        if(in==1)
            sublist[sln][++x]=str[i];
        if(str[i]==')')
        {
            in=0;
            sublist[sln][++x]=0;
        }
    }
}

void Count()
{
    int n=0;
    for(int i=1;str[i];++i)
        if(str[i]=='(')
            ++n;
    cout<<n<<"\n";;
}

int opcode(char *s)
{
    if(*s=='C')
        return 0;
    if(*s=='R')
    {
        if(*(s+2)=='V')
            return 4;
        else
            return 2;
    }
    if(*s=='S')
        return 3;
    if(*s=='M')
        return 1;
    return -1;
}

int atoms(char *s)
{
    int ret=0;
    while(*s)
    {
        if(*s==' ')
            ++ret;
        ++s;
    }
    return ret;
}

int oper(char *s)
{
    ++s;
    if(*s=='A')
        return 1;
    if(*s=='D')
        return 2;
    if(*s=='E')
        return 3;
    if(*s=='M')
        return 4;
    ++s;
    if(*s=='Q')
        return 5;
    return 6;
}

void sortare(int n)
{
    for(int i=1;i<n;++i)
        for(int j=i+1;j<=n;++j)
            if(oper(sortsub[i])>oper(sortsub[j]))
            {
                char aux[200];
                strcpy(aux,sortsub[i]);
                strcpy(sortsub[i],sortsub[j]);
                strcpy(sortsub[j],aux);
            }
}

int main()
{
    freopen("lisp.in","r",stdin);
    int i,j,arg1,arg2,dif;
    cin.getline(str,200);
    procesare();
    for(int tests=1;tests<=5;++tests)
    {
        cin>>op;
        int code=opcode(op);
        if(code==0)///COUNT
            Count();
        if(code==1)///MAXIMUM
        {
            int maxim=-1,maxl;
            for(i=1;i<=sln;++i)
            {
                int n_atoms=atoms(sublist[i]);
                if(n_atoms>maxim)
                {
                    maxim=n_atoms;
                    maxl=i;
                }
            }
            cout<<sublist[maxl]<<"\n";
        }
        if(code==2)///REMOVE
        {
            cin>>arg1>>arg2;
            cout<<liststart;
            for(i=1;i<=sln;++i)
                if(i<arg1||i>arg2)
                   cout<<" "<<sublist[i];
            cout<<")\n";
        }
        if(code==3)///SORT
        {
            cin>>arg1>>arg2;
            dif=arg2-arg1+1;
            j=0;
            for(i=arg1;i<=arg2;++i)
                strcpy(sortsub[++j],sublist[i]);
            sortare(dif);
            j=1;
            cout<<liststart;
            for(i=1;i<=sln;++i)
                if(i<arg1||i>arg2)
                   cout<<" "<<sublist[i];
                else
                    cout<<" "<<sortsub[j++];
            cout<<")\n";
        }
        if(code==4)///REVERSE
        {
            cin>>arg1>>arg2;
            cout<<liststart;
            for(i=1;i<arg1;++i)
                cout<<" "<<sublist[i];
            for(i=arg2;i>=arg1;--i)
                cout<<" "<<sublist[i];
            for(i=arg2+1;i<=sln;++i)
                cout<<" "<<sublist[i];
            cout<<")\n";
        }
    }
    return 0;
}
