/**
First,LAST Name: Razvan Roatis
Contest #3 - Senior
School: National College Andrei Saguna
Input file: isola.in
Output file :isola.out
**/
#include <iostream>
#include <cstdio>

using namespace std;

int p1[] = {1,-1,0,0,-1,-1,1,1} , p2[] = {0,0,1,-1,-1,1,1,-1} ;
int x,b,ix,jx,ib,jb,ok;
bool viz[100] ;
int mat[10][10] ;

void matrice() ;
void reset() ;
void read() ;
void solve() ;

int main()
{
    freopen( "isola.in" , "r" , stdin ) ;
    freopen( "isola.out" , "w" , stdout ) ;
    matrice() ;
    for ( int i = 1 ; i <= 5 ; i ++ )
        {
            reset() ;
            read() ;
            solve() ;
        }
    return 0;
}

void matrice()
{
    int nr = 1 ;
    for ( int i = 7 ; i > 0 ; i -- )
        for ( int j = 1 ; j <= 7 ; j ++ )
            mat[i][j] = nr ++ ;
}

void reset()
{
    for ( int i = 1 ; i <= 55 ; i ++ )
        viz[i] = 0 ;
    viz[0] = 1 ;
}

void read()
{
    scanf( "%d %d" , &b , &x ) ;
    ix = 7 - ( x - 1 ) / 7 ;
    jx = ( x - 1 ) % 7 + 1 ;
    ib = 7 - ( b - 1 ) / 7 ;
    jb = ( b - 1 ) % 7 + 1 ;
    viz[b] = 1 ;
    viz[x] = 1 ;
    int nr ;
    scanf( "%d" , &nr ) ;
    while ( nr )
    {
        viz[nr] = 1 ;
        scanf( "%d" , &nr ) ;
    }
}

int verif()
{
    for ( int i = 0 ; i < 8 ; i ++ )
        if ( not viz[mat[ib+p1[i]][jb+p2[i]]] )
            return 0 ;
    return 1 ;
}

void recurs( int a , int b , int i )
{
    viz[mat[a][b]] = 1 ;
    if ( viz[mat[a+p1[i]][b+p2[i]]] == 0 )
        recurs(a+p1[i],b+p2[i],i) ;
    else
        if ( verif() )
            ok = 0 ;
    viz[mat[a][b]] = 0 ;
}

void afish( int i )
{
    while ( not viz[mat[ix+p1[i]][jx+p2[i]]] )
    {
        printf( "%d " , mat[ix+p1[i]][jx+p2[i]] ) ;
        ix += p1[i] ;
        jx += p2[i] ;
    }
    printf( "\n" ) ;
}

void solve()
{
    ok = 1 ;
    for ( int i = 0 ; i < 8 && ok ; i ++ )
    if ( not viz[mat[ix+p1[i]][jx+p2[i]]] )
    {
        recurs( ix + p1[i] , jx + p2[i] , i ) ;
        if ( not ok )
        {
            afish(i) ;
            return ;
        }
    }
    if ( ok )
        printf( "NONE\n" ) ;
}
