/**
First, LAST name: Paul CIOBANU
Contest #3 - Senior 3
School: National College Andrei Saguna
Input file: isola.in
Output is on the screen
*/

#include <iostream>
#include <fstream>
using namespace std;

int board[10][10],t_x,t_y,s_x,s_y;
int dx[]= {0,0,1,-1,1,1,-1,-1};
int dy[]= {1,-1,0,0,1,-1,1,-1};

ifstream fin("isola.in");

void citire();
void golire();
int check(int t);
int test();
int convert(int i,int j);

int main()
{
    for(int p=1; p<=5; p++)
    {
        golire();
        citire();
        if(test())
            cout<<"NONE\n";

    }
    return 0;
}

void citire()
{
    int a=1,k=2;
    while(a)
    {
        fin>>a;
        int x,y=7;
        if(a)
        {
            if(a%7)
            {
                y=a%7;
                x=a/7+1;
            }
            else
                x=a/7;
            board[x][y]=1;
            if(k==2)
            {
                t_x=x;
                t_y=y;
                k--;
            }
            else if(k==1)
            {
                s_x=x;
                s_y=y;
                board[x][y]=0;
                k--;
            }
        }
    }
}

int check(int t)
{
    for(int i=0; i<8; i++)
    {
        int X=t_x+dx[i];
        int Y=t_y+dy[i];
        if(1<=X&&1<=Y&&X<=7&&Y<=7&&board[X][Y]!=1&&board[X][Y]!=t)
            return 0;
    }
    return 1;
}

int convert(int i,int j)
{
    return (i-1)*7+j;
}

int test()
{
    for(int i=0; i<8; i++)
    {

        int X=s_x+dx[i];
        int Y=s_y+dy[i];
        int v[10],k=0;
        while(1<=X&&1<=Y&&X<=7&&Y<=7&&board[X][Y]==0)
        {
            board[X][Y]=i+1;
            v[++k]=convert(X,Y);
            X+=dx[i];
            Y+=dy[i];
        }
        if(check(i+1))
        {
            for(int u=1; u<=k; u++)
                cout<<v[u]<<" ";
                cout<<endl;
            return 0;
        }
    }
    return 1;
}

void golire()
{
    for(int i=1; i<=7; i++)
    {
        for(int j=1; j<=7; j++)
            board[i][j]=0;
    }
}
