//First, LAST Name: Alexandru STRIMBU
//Contest #4, Senior 3
//School: National College Andrei Saguna
//Input file: qmc.in
//Output is on the screen
#include <iostream>
#include <fstream>
#include <cstring>

using namespace std;

ifstream fin("qmc.in");

char a[10][20][100],aux[10][20][100];
int t,nr[10],nraux[10],nmax;
bool simplific,cate_ori;

void initializare()
{
    for(int i=0;i<=8;i++)
        for(int j=0;j<=18;j++)
            a[i][j][0]=a[i][j][1]=0;
    memset(nr,0,sizeof(nr));
}

void trans(int x)
{
    if(x==0)
    {
        nr[0]++;
        if(t<=3)
        {
            strcpy(a[0][nr[0]],"000");
        }
        else
            strcpy(a[0][nr[0]],"0000");
    }
    if(x==1)
    {
        nr[1]++;
        if(t<=3)
        {
            strcpy(a[1][nr[1]],"001");
        }
        else
            strcpy(a[1][nr[1]],"0001");
    }
    if(x==2)
    {
        nr[1]++;
        if(t<=3)
        {
            strcpy(a[1][nr[1]],"010");
        }
        else
            strcpy(a[1][nr[1]],"0010");
    }
    if(x==3)
    {
        nr[2]++;
        if(t<=3)
        {
            strcpy(a[2][nr[2]],"011");
        }
        else
            strcpy(a[2][nr[2]],"0011");
    }
    if(x==4)
    {
        nr[1]++;
        if(t<=3)
        {
            strcpy(a[1][nr[1]],"100");
        }
        else
            strcpy(a[1][nr[1]],"0100");
    }
    if(x==5)
    {
        nr[2]++;
        if(t<=3)
        {
            strcpy(a[2][nr[2]],"101");
        }
        else
            strcpy(a[2][nr[2]],"0101");
    }
    if(x==6)
    {
        nr[2]++;
        if(t<=3)
        {
            strcpy(a[2][nr[2]],"110");
        }
        else
            strcpy(a[2][nr[2]],"0110");
    }
    if(x==7)
    {
        nr[3]++;
        if(t<=3)
        {
            strcpy(a[3][nr[3]],"111");
        }
        else
            strcpy(a[3][nr[3]],"0111");
    }
    if(x==8)
    {
        nr[1]++;
        strcpy(a[1][nr[1]],"1000");
    }
    if(x==9)
    {
        nr[2]++;
        strcpy(a[2][nr[2]],"1001");
    }
    if(x==10)
    {
        nr[2]++;
        strcpy(a[2][nr[2]],"1010");
    }
    if(x==11)
    {
        nr[3]++;
        strcpy(a[3][nr[3]],"1011");
    }
    if(x==12)
    {
        nr[2]++;
        strcpy(a[2][nr[2]],"1100");
    }
    if(x==13)
    {
        nr[3]++;
        strcpy(a[3][nr[3]],"1101");
    }
    if(x==14)
    {
        nr[3]++;
        strcpy(a[3][nr[3]],"1110");
    }
    if(x==15)
    {
        nr[4]++;
        strcpy(a[4][nr[4]],"1111");
    }
}

void citire()
{
    int x;
    while(fin>>x)
    {
        if(x==-1)
            break;
        trans(x);
    }
}

bool gasit(char c[100],int poz)
{
    for(int i=1;i<=nraux[poz];i++)
        if(strcmp(c,aux[poz][i])==0)
            return 1;
    return 0;
}

void compar(char c1[100],char c2[100])
{
    char c3[100];
    bool ok=1;
    int nrdif=0,nr_1=0;
    for(int i=0;i<nmax;i++)
    {
        if(c1[i]==c2[i])
        {
            c3[i]=c1[i];
        }
        else
        if(c1[i]=='x'||c2[i]=='x')
        {
            ok=0;
            break;
        }
        else
        {
            nrdif++;
            c3[i]='x';
        }
        if(c3[i]=='1')
            nr_1++;
    }
    c3[nmax]=0;
    if(nrdif==1&&ok)
    {
        simplific=1;
        if(gasit(c3,nr_1)==0)
        {
            nraux[nr_1]++;
            strcpy(aux[nr_1][nraux[nr_1]],c3);
        }
    }
}

void copiere()
{
    for(int i=0;i<=nmax;i++)
        nr[i]=nraux[i];
    for(int i=0;i<=nmax;i++)
        for(int j=1;j<=nraux[i];j++)
            strcpy(a[i][j],aux[i][j]);
}

void rezolv()
{
    while(true)
    {
        memset(nraux,0,sizeof(nraux));
        simplific=0;
        for(int i=0;i<nmax;i++)
            for(int j=1;j<=nr[i];j++)
                for(int k=1;k<=nr[i+1];k++)
                    compar(a[i][j],a[i+1][k]);
        if(simplific==0)
            break;
        copiere();
    }
}

void bucata(char c[100])
{
    for(int i=0;i<nmax;i++)
    {
        if(i==0)
        {
            if(c[i]=='1')
                cout<<"A";
            else
            if(c[i]=='0')
                cout<<"a";
        }
        if(i==1)
        {
            if(c[i]=='1')
                cout<<"B";
            else
            if(c[i]=='0')
                cout<<"b";
        }
        if(i==2)
        {
            if(c[i]=='1')
                cout<<"C";
            else
            if(c[i]=='0')
                cout<<"c";
        }
        if(i==3)
        {
            if(c[i]=='1')
                cout<<"D";
            else
            if(c[i]=='0')
                cout<<"d";
        }
    }
}

void scrie(char c[100])
{
    if(cate_ori==0)
    {
        bucata(c);
        cate_ori=1;
    }
    else
    {
        cout<<" + ";
        bucata(c);
    }
}

void afisare()
{
    cate_ori=0;
    for(int i=0;i<=nmax;i++)
        for(int j=1;j<=nr[i];j++)
            scrie(a[i][j]);
    cout<<"\n";
}

int main()
{
    for(t=1;t<=5;t++)
    {
        if(t<=3)
            nmax=3;
        else
            nmax=4;
        initializare();
        citire();
        rezolv();
        afisare();
    }
    return 0;
}
