/**
First, LAST Name: Gabriel Robert INELUS
Senior 3, Contest #1
School Name: National College Andrei Saguna
Input file: navigat.in
Output is on the screen
*/
#include <cstdio>
#include <algorithm>
#include <cctype>
#include <cstdlib>
#include <iostream>
#include <cmath>
#include <cstring>

#define EPSILON 0.000001

using namespace std;
int loc[12]={0,450,140,125,365,250,160,380,235,320};
char L1,L2,t1[4],t2[4]; /// localitatile si orele
int h1,h2,v1,v2;
int D,plec1,plec2;
int H;
double M;
int M_rotund;

void read()
{
    scanf("%c %c %d %s %d %s %d %d\n",&L1, &L2, &h1, &t1, &h2, &t2, &v1,&v2);

    if(L1 == 'J') /// corectam alfabetul
        L1 = 'I';
    if(L1 == 'K')
        L1 = 'J';

    if(L2 == 'J')
        L2 = 'I';
    if(L2 == 'K')
        L2 = 'J';


    if(t1[0] == 'P' && h1 != 12)
        h1 += 12;
    if(t1[0] == 'A' && h1 == 12)
        h1 += 12;
    if(t2[0] == 'P' && h2 != 12)
        h2 += 12;
    if(t2[0] == 'A' && h2 == 12)
        h2 += 12;
    /// corectat ceasul in 24 h
    if(L1 > L2)
        swap(L1,L2);
}

void get_dist()
{
    D = 0;
    int li = L1 - 'A',lf = L2 - 'A';
    for(int i = li + 1; i <= lf; ++i)
        D += loc[i];
    ///printf("%d\n",D);
}

void get_diff() /// luam diferenta dintre plecari
{
    plec1 = plec2 = 0;
    if(h1 == h2)/// pleaca deodata
        return;
    if(h1 < h2)
        plec1 = h2 - h1;
    else
        plec2 = h1 - h2;
    if(plec1 > 12) /// daca e mai scurt invers
    {
        plec2 = 24 - plec1;
        plec1 = 0;
        return;
    }
    if(plec2 > 12)
    {
        plec1 = 24 - plec2;
        plec2 = 0;
        return;
    }
}

void rotunjire()
{
    M_rotund = round((double)(M+EPSILON)); /// corectam eroarea de precizie
}

void compute()
{
    M = H = 0;
    if(plec1) /// primul pleaca
    {
        if(D - plec1 * v1 >= 0)
        {
            H += plec1;
            D -= plec1 * v1;
        }
        else
        {
            H = D / v1;
            M = ( ((double)D / (double)v1) - H) * 60;
            rotunjire();
            D = 0;
            return;
        }
    }
    if(plec2)
    {
        if(D - plec2*v2 >= 0) /// asta nu se adauga la timp
            D -= plec2*v2;
        else /// al 2 lea parcurge tot
        {
            H = 0;/// daga al 2 lea ajunge la primul asta nu mai pleaca
            M = 0;
            D = 0;
            return;
        }
    }
    /// aici a mai ramas o bucata de parcurs in care se misca amandoi
    int new_H = 0,new_v = v1 + v2;
    new_H = D / new_v;
    M = ((double)D/(double)new_v - new_H)*60;
    H += new_H;
    rotunjire();
}

void curat()
{
    memset(t1,0,sizeof(t1));
    memset(t2,0,sizeof(t2));
    L1 = L2 = 0;
    D = 0;
    h1 = h2 = v1 = v2 = 0;
    plec1 = plec2 = 0;
    H = 0;
    M = 0;
    M_rotund = 0;
}

void solve()
{
    get_dist();
    get_diff();
    compute();
}

void print()
{
    printf("%d:%02d\n",H,M_rotund);
}

int main()
{
    freopen("navigat.in","r",stdin);

    for(int test = 1; test <= 5; ++test)
    {
        read();
        solve();
        print();
        curat();
    }

    return 0;
}
