/**
 Citim cei trei vectori prin care memoram un arbore binar shi facem cele 3 parcurgeri
pre / in / post  - ordine.
  In fishier se afla
n r                - nr. de noduri shi radacina
vectorul inf
vectorul st
vectorul dr
*/
#include <iostream>
#include <fstream>
using namespace std;

int inf[30],st[30],dr[30],n,r;

void rsd(int k)
{
    if(k>=0)
    {
        cout<<inf[k]<<" ";
        rsd(st[k]);
        rsd(dr[k]);
    }
}

void srd(int k)
{
    if(k>=0)
    {
        srd(st[k]);
        cout<<inf[k]<<" ";
        srd(dr[k]);
    }
}

void sdr(int k)
{
    if(k>=0)
    {
        sdr(st[k]);
        sdr(dr[k]);
        cout<<inf[k]<<" ";
    }
}


int main()
{
    ifstream fin("arbore.in");
    fin>>n>>r;
    int i;
    for(i=1;i<=n;i++)fin>>inf[i];
    for(i=1;i<=n;i++)fin>>st[i];
    for(i=1;i<=n;i++)fin>>dr[i];
    cout<<"preordine: ";rsd(r);cout<<"\n";
    cout<<"inordine:  ";srd(r);cout<<"\n";
    cout<<"postordine:";sdr(r);cout<<"\n";
    return 0;
}
