/**
 Variabila globala = este o variabila declarata in afara oricarei functzii.
            - se initzializeaza cu valori nule
            - este recunoscuta (si poate fi accesata) din momentul declararii
              in toate declaratziile care ii urmeaza.

 Variabila locala = o variabila declarata in cadrul unei functzii.
              - Poate fi utilizata DOAR in interiorul acelei funcztii
              - O variabila locala se aloca in momentul intrarii in functzie intr-o
                zona speciala de memorie numita "stiva de date"
              - Variabila locala se shterge din memorie (se dezaloca) in momentul ieshirii
                din functzie

 Domeniul de vizibilitate = locurile in care o variabila este recunoscuta (vizibila)
            shi poate fi folosita

         Domeniul de vizibilitate al unei variabile globale: din momentul declararii
            mai departe, cu conditzia ca in locul utilizarii sa nu fie declarata o alta
            variabila locala cu aleashi identificator
         Domeniul de vizibilitate al unei variabile locale: din momentul declararii
            pina la finalul subprogramului
*/
#include <iostream>
using namespace std;

void test()
{
    int y=4;//y e variabila locala. Domeniul sau de vizibilitate:
    cout<<y<<"\n";//din momentul declararii pina la finalul functziei test()
}

int x;//x e variabila globala. E initzializata automat cu 0
//domeniul de vizibilitate: din acest loc inainte, cu cond. sa NU
//fie o alta declaratzie locala numita tot x:

void test1()
{
    cout<<x<<"\n";//aici ma refer la variabila globala x.
    //aceasta functzie face parte din domeniul de vizibilitate al lui x
}

void test2()
{
    int x=7;//x e variabila locala. Poarta acelashi nume cu globala x
    cout<<x<<"\n";//prin urmare aceasta functzie NU mai face parte din domeniul de vizibilitate al
            //variabilei globale x
}

int main()
{
    //shi main() face parte din domeniul de vizibilitate al variabilei x declarata global
    test();
    x=69;
    test1();
    test2();
    cout<<x<<"\n";//deshi test2() contzinea o variabila locala x, cele doua NU se incurca
    return 0;
}
