/**
First LAST Name: Gabriel Robert INELUS
School: National College Andrei Saguna
Contest #2 Senior 3
input: lisp.in
output is on the screen
*/
#include <cstdio>
#include <cstring>
#include <algorithm>
#include <vector>
#include <string>

using namespace std;
char c[1005];
char op[100];
int li,lf;
int pr[1000]; /// prioritate operator
int cate[1000]; /// cate elemente are sublista
int nrsub; /// nr subliste

void Get()
{
    fgets(c+1,1004,stdin);
    c[0] = '#';
    if(c[strlen(c)-1] == '\n')
        c[strlen(c)-1] = 0;
}
int pozitie( char a[100]){
    if(strcmp(a,"ADD") == 0)
        return 1;
    if(strcmp(a,"DIV") == 0)
        return 2;
    if(strcmp(a,"EXP") == 0)
        return 3;
    if(strcmp(a,"MULT") == 0)
        return 4;
    if(strcmp(a,"SQR") == 0)
        return 5;
    if(strcmp(a,"SUB") == 0)
        return 6;
    return 7;
}
void Read()
{
    scanf("%s",op);
    if(strcmp(op,"SORT") == 0)
    {
        scanf("%d%d",&li,&lf);
        return;
    }
    if(strcmp(op,"REMOVE") == 0)
    {
        scanf("%d%d",&li,&lf);
        return;
    }
    if(strcmp(op,"REVERSE") == 0)
    {
        scanf("%d%d",&li,&lf);
        return;
    }
}


void prepare()
{
    int N = strlen(c + 1);
    int pd = 0,nre = 0,nraux;
    char aux[100];

    for(int i = 1; i <= N; ++i)
    {
        if(c[i] == '(')
        {
            ++pd;
            if(pd == 2) /// am deschis o sublista
                ++nrsub;
            nre = 0; /// nr elemente din lista e 0
            continue;
        }
        if('A' <= c[i] && c[i] <= 'Z'){
            nraux = 0;
            memset(aux,0,sizeof(aux));
            aux[nraux++] = c[i];
            while('A' <= c[i+nraux] && c[i+nraux] <= 'Z')
            {
                aux[nraux] = c[i+nraux];
                ++nraux;
            }
            i = i + nraux - 1;
            if(pd == 2) /// e o subexpresie
                pr[nrsub] = pozitie(aux);
            continue;
        }

        if('0'<= c[i]&& c[i] <= '9' || c[i] == '-')
        {
            while('0' <= c[i+1] && c[i+1] <= '9' || c[i] == '-')
                ++i;
            ++nre; /// am gasit un numar;
            continue;
        }
        if(c[i] == ')')
        {
            --pd;
            if(pd == 1)
                 cate[nrsub] = nre;
            continue;
        }
    }
}

void solve_count()
{
    printf("%d\n",nrsub);
}

void solve_remove()
{
    int N = strlen(c + 1);
    int pd = 0;
    int sterg = 0,crt = 0;
    for(int i = 1; i <= N; ++i)
    {
        ///if(i == 60)
           /// printf("aici");
        if(c[i] == ' ' && c[i+1] == '(' && crt == li - 1 && lf == nrsub)
            continue; /// nu afisez spatiul dinaintea primei liste sterse
        if(c[i] == '(')
        {
            ++pd;
            if(pd == 2)
                ++crt;
            if(crt == li)
                sterg = 1;
            if(crt > lf)
                sterg = 0;
        }
        if(c[i] == ')')
            --pd;
        if(!sterg)
            printf("%c",c[i]);
    }
    if(lf == nrsub)
        printf(")");
    printf("\n");
}

void solve_maximum()
{
    int maxi = -1,pzmaxi;
    for(int i = 1; i <= nrsub; ++i)
        if(maxi < cate[i])
        {
            maxi = cate[i];
            pzmaxi = i;
        }
    int N = strlen(c+1);
    int crt =0;
    int pd = 0,afish = 0;
    for(int i = 1; i <= N; ++i)
    {
        if(c[i] == '(')
        {
            ++pd;
            if(pd == 2)
                ++crt;
            if(crt == pzmaxi)
                afish = 1;
        }
        if(c[i] == ')')
        {
            --pd;
            if(crt == pzmaxi)
            {
                printf(")");
                afish = 0;
            }
        }
        if(afish)
            printf("%c",c[i]);
    }
    printf("\n");
}

struct element{
    char c[100];
};
vector<pair<int,element> >v;
bool cmp(pair<int,element> e1,pair<int,element> e2)
{
    return e1.first < e2.first;
}

void sparge()
{
    int N = strlen(c+1);
    int crt = 0,pd = 0,bun = 0;
    char aux[1005];
    memset(aux,0,sizeof(aux));
    int nraux = 0;
    for(int i = 1; i <= N; ++i)
    {
        if(c[i] == '(')
        {
            ++pd;
            if(pd == 2)
            {
                ++crt;
                if(crt == li)
                    bun = 1;
            }
        }
        if(c[i] == ')')
        {
            --pd;
            if(bun && pd == 1 && crt <= lf)
            {
                aux[nraux++] = c[i];
                if(crt == lf)
                    bun = 0;
                element e;
                strcpy(e.c,aux);
                v.push_back(make_pair(pr[crt],e));
                memset(aux,0,sizeof(aux));
                nraux = 0;
                continue;
            }
        }
        if(bun && !(c[i] == ' ' && c[i+1] == '('))
            aux[nraux++] = c[i];

    }



}

void afish()
{
    int pd = 0,crt = 0, N = strlen(c+1);
    int af = 1;
    for(int i = 1; i <= N; ++i)
    {
        if(c[i] == ' ' && c[i+1] == '(' && crt == li - 1)
            af = 0;
        if(c[i] == '(')
        {
            ++pd;
            if(pd == 2)
                ++crt;
            if(crt == li)
            {
                af = 0;
                for(int i = 0; i < v.size(); ++i)
                    printf(" %s",v[i].second.c);
            }
        }
        if(c[i] == ')')
        {
            --pd;
            if(pd == 1 && crt == lf)
            {
                af = 1;
                continue;
            }
        }
        if(af == 1)
            printf("%c",c[i]);

    }
    printf("\n");
}

void Solve()
{
    if(strcmp(op,"COUNT") == 0)
        solve_count();
    if(strcmp(op,"REMOVE") == 0)
        solve_remove();
    if(strcmp(op,"MAXIMUM") == 0)
        solve_maximum();
    if(strcmp(op,"SORT") == 0 || strcmp(op,"REVERSE") == 0)
    {
        v.clear();
        sparge();
        if(strcmp(op,"REVERSE") == 0)
            reverse(v.begin(),v.end());
        else
            sort(v.begin(),v.end(),cmp);
        afish();
    }
}

int main()
{
    freopen("lisp.in","r",stdin);
    Get();
    prepare();
    for(int line = 1; line <= 5; ++line)
    {
        Read();
        Solve();
    }

    return 0;
}
