//First, LAST Name: Alexandru STRIMBU
//Contest #3-Senior 3
//School: National College Andrei Saguna
//Input file: isola.in
//Output is on the screen
#include <iostream>
#include <fstream>
#include <cstring>
#define nmax 7

using namespace std;

ifstream fin("isola.in");

int a[10][10],b[10][10],x1,y1,x2,y2,st[100],vf;
int di[10]={1,-1,0,0,1,1,-1,-1};
int dj[10]={0,0,1,-1,1,-1,1,-1};

void trans(int c,int &x,int &y)
{
    if(c%7==0)
    {
        y=7;
        x=c/7;
    }
    else
    {
        y=c%7;
        x=c/7+1;
    }
}

int trans_inv(int x,int y)
{
    if(y==7)
        return 7*x;
    return 7*(x-1)+y%7;
}

void initializare()
{
    for(int i=1;i<=nmax;i++)
        memset(a[i],0,sizeof(a[i]));
    x1=y1=x2=y2=vf=0;
}

void citire()
{
    int c,x,y;
    fin>>c;
    trans(c,x2,y2);
    a[x2][y2]=1;
    fin>>c;
    trans(c,x1,y1);
    a[x1][y1]=1;
    fin>>c;
    while(c)
    {
        trans(c,x,y);
        a[x][y]=1;
        fin>>c;
    }
}

void copiere()
{
    for(int i=1;i<=nmax;i++)
        for(int j=1;j<=nmax;j++)
            b[i][j]=a[i][j];
    vf=0;
}

void parcurgere(int di,int dj)
{
    int i=x1+di,j=y1+dj;
    while(i>=1&&i<=nmax&&j>=1&&j<=nmax)
    {
        if(b[i][j]==1)
            break;
        b[i][j]=1;
        st[++vf]=trans_inv(i,j);
        i=i+di;
        j=j+dj;
    }
}

void verificare()
{
    int i=x2,j=y2,in,jn;
    for(int k=0;k<=7;k++)
    {
        in=i+di[k];
        jn=j+dj[k];
        if(in>=1&&in<=nmax&&jn>=1&&jn<=nmax)
            if(b[in][jn]==0)
            {
                vf=0;
                return;
            }
    }
}

void rezolv()
{
    for(int k=0;k<=7;k++)
    {
        copiere();
        parcurgere(di[k],dj[k]);
        verificare();
        if(vf)
            return;
    }
}

void afisare()
{
    if(vf==0)
        cout<<"NONE";
    else
    for(int i=1;i<=vf;i++)
        cout<<st[i]<<" ";
    cout<<"\n";
}

int main()
{
    for(int i=1;i<=5;i++)
    {
        initializare();
        citire();
        rezolv();
        afisare();
    }
    return 0;
}
