/**
    First, LAST Name: Alexandru GHITA
    School: National College "Andrei Saguna"
    Contest #4, Senior 3
    Input file: qmc.in
    Output is on the screen
**/

#include <cstdio>
#include <cstring>

using namespace std;

char s8[20][20] = {"000", "001", "010", "011", "100", "101", "110", "111"};
char s16[20][20] = {"0000", "0001", "0010", "0011", "0100", "0101", "0110", "0111",
                    "1000", "1001", "1010", "1011", "1100", "1101", "1110", "1111"};

char lista[10][20][20];
int N, nrel[10];

void curatenie()
{
    N = 0;
    memset(lista, 0, sizeof(lista));
    memset(nrel, 0, sizeof(nrel));
}

void citire8()
{
    int nr;
    bool used[20];
    memset(used, false, sizeof(used));

    do
    {
        scanf("%d", &nr);
        if (nr == -1)
            break;
        if (used[nr] == false)
            strcpy(lista[N][++nrel[N]], s8[nr]);
        used[nr] = true;
    }while (nr != -1);
}

void citire16()
{
    int nr;
    bool used[20];
    memset(used, false, sizeof(used));

    do
    {
        scanf("%d", &nr);
        if (nr == -1)
            break;
        if (used[nr] == false)
            strcpy(lista[N][++nrel[N]], s16[nr]);
        used[nr] = true;
    }while (nr != -1);
}

bool compare(char s1[], char s2[], int lg)
{
    bool dif = false;

    for (int i = 0; i < lg ; ++i)
    {
        if (s1[i] == 'x' && s2[i] != 'x')
            return false;
        if (s1[i] != 'x' && s2[i] == 'x')
            return false;
        if (s1[i] != s2[i])
        {
            if (dif == true)
                return false;
            dif = true;
        }
    }
    return true;
}

void solve8()
{
    bool schimbare, rez;

    do
    {
        N++;
        schimbare = false;
        for (int i = 1; i < nrel[N - 1]; ++i)
        {
            for (int j = i + 1; j <= nrel[N - 1]; ++j)
            {
                rez = compare(lista[N - 1][i], lista[N - 1][j], 3);
                if (rez == false)
                    continue;
                char st[20];
                bool baga = true;
                memset(st, 0, sizeof(st));
                for (int k = 0; k < 3; ++k)
                {
                    if (lista[N - 1][i][k] != lista[N - 1][j][k])
                        st[k] = 'x';
                    else st[k] = lista[N - 1][j][k];
                }
                for (int k = 1; k <= nrel[N]; ++k)
                    if (strcmp(st, lista[N][k]) == 0)
                    {
                        baga = false;
                        break;
                    }
                if (baga == true)
                {
                    strcpy(lista[N][++nrel[N]], st);
                    schimbare = true;
                }
            }
        }
    }while (schimbare == true);

    /**
    for (int i = 1; i <= nrel[N - 1]; ++i)
        printf("%s ", lista[N - 1][i]);
    printf("\n");
    **/

    for (int i = 1; i <= nrel[N - 1]; ++i)
    {
        for (int j = 0; j < 3; ++j)
        {
            if (lista[N - 1][i][j] == 'x')
                continue;
            if (lista[N - 1][i][j] == '1')
                printf("%c", 'A' + j);
            else if (lista[N - 1][i][j] == '0')
                printf("%c", 'a' + j);
        }
        if (i < nrel[N - 1])
            printf(" + ");
    }

    printf("\n");
}

void solve16()
{
    bool schimbare, rez;

    do
    {
        N++;
        schimbare = false;
        for (int i = 1; i < nrel[N - 1]; ++i)
        {
            for (int j = i + 1; j <= nrel[N - 1]; ++j)
            {
                rez = compare(lista[N - 1][i], lista[N - 1][j], 4);
                if (rez == false)
                    continue;
                char st[20];
                bool baga = true;
                memset(st, 0, sizeof(st));
                for (int k = 0; k < 4; ++k)
                {
                    if (lista[N - 1][i][k] != lista[N - 1][j][k])
                        st[k] = 'x';
                    else st[k] = lista[N - 1][j][k];
                }
                for (int k = 1; k <= nrel[N]; ++k)
                    if (strcmp(st, lista[N][k]) == 0)
                    {
                        baga = false;
                        break;
                    }
                if (baga == true)
                {
                    strcpy(lista[N][++nrel[N]], st);
                    schimbare = true;
                }
            }
        }
    }while (schimbare == true);

    /**
    for (int i = 1; i <= nrel[N - 1]; ++i)
        printf("%s ", lista[N - 1][i]);
    printf("\n");
    **/

    for (int i = 1; i <= nrel[N - 1]; ++i)
    {
        for (int j = 0; j < 4; ++j)
        {
            if (lista[N - 1][i][j] == 'x')
                continue;
            if (lista[N - 1][i][j] == '1')
                printf("%c", 'A' + j);
            else if (lista[N - 1][i][j] == '0')
                printf("%c", 'a' + j);
        }
        if (i < nrel[N - 1])
            printf(" + ");
    }

    printf("\n");
}

int main()
{
    freopen("qmc.in", "r", stdin);

    for (int linie = 1; linie <= 3; ++linie)
    {
        curatenie();
        citire8();
        solve8();
    }

    for (int linie = 4; linie <= 5; ++linie)
    {
        curatenie();
        citire16();
        solve16();
    }

    return 0;
}
