/**
First, LAST Name: Alexandru GHITA
Senior 3, Contest #1
School Name: National College Andrei Saguna
Input file: navigat.in
Output file: navigat.out
**/

#include <cstdio>
#include <algorithm>
#include <cstdlib>

using namespace std;

int p1, p2, v1, v2, t1, t2, tp1;
int dist[10] = {0, 450, 140, 125, 365, 250, 160, 380, 235, 320};
double lg;

void read()
{
    char c1, c2;

    scanf("%c %c ", &c1, &c2);
    p1 = (int)(c1 - 'A' + 1);
    p2 = (int)(c2 - 'A' + 1);
    if (p1 > p2)
        swap (p1, p2);

    scanf("%d %c%c", &t1, &c1, &c2);
    if (c1 == 'P' && t1 != 12)
        t1 += 12;
    if (c1 == 'A' && t1 == 12)
        t1 = 0;

    scanf("%d %c%c", &t2, &c1, &c2);
    if (c1 == 'P' && t2 != 12)
        t2 += 12;
    if (c1 == 'A' && t2 == 12)
        t2 = 0;

    scanf("%d %d\n", &v1, &v2);

    tp1 = 0;
    lg = 0;
}

void solve1()
{
    int dift, d1, d2, caz;

    ///calc diferenta de timp
    d1 = t1 - t2;
    if (d1 < 0)
        d1 = -d1;
    dift = min(d1, 24 - d1);

    if (t1 < t2 && dift == d1)
        caz = 1;
    else if (t1 > t2 && dift == d1)
        caz = 2;
    else if (t1 > t2 && dift == 24 - d1)
        caz = 1;
    else if (t1 < t2 && dift == 24 - d1)
        caz = 2;

    ///calc distanta de parcurs
    for (int i = p1; i < p2; ++i)
        lg += dist[i];

    ///egaleaza timpii
    if (caz == 1)
    {
        //tp1 += dift * 3600;
        //lg -= dift * v1;
        while (lg > 0 && tp1 < dift * 3600)
        {
            tp1 += 1;
            lg -= (double)v1 / 3600;
        }
    }
    else
        lg -= dift * v2;
}

void solve2()
{
    double dp1 = 0, dp2 = 0;
    double vmin1 = (double)v1 / 60, vmin2 = (double)v2 / 60;
    double vsec1 = (double)v1 / 3600, vsec2 = (double)v2 / 3600;

    while (dp1 + dp2 < lg)
    {
        if (dp1 + dp2 + v1 + v2 < lg)
        {
            dp1 += v1;
            dp2 += v2;
            tp1 += 3600;
        }
        else
        {
            dp1 += vsec1;
            dp2 += vsec2;
            tp1 += 1;
        }
    }

    int h = tp1 / 3600, m;
    double maux = (double)(tp1 % 3600) / 60;
    if (maux - (int)maux >= 0.5)
        m = (int)maux + 1;
    else
        m = (int)maux;
    if (m > 9)
        printf("%d:%d\n", h, m);
    else
        printf("%d:0%d\n", h, m);
}

int main()
{
    freopen("navigat.in", "r", stdin);
    freopen("navigat.out", "w", stdout);

    for (int i = 1; i <= 5; ++i)
    {
        read();
        solve1();
        solve2();
    }

    return 0;
}
